# BEGIN SourceDeps(oneline):
BuildRequires: perl(BSON.pm) perl(CHI.pm) perl(CHI/Serializer/Sereal.pm) perl(Data/Serializer.pm) perl(Date/Parse.pm) perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/PodWeaver.pm) perl(ExtUtils/MakeMaker.pm) perl(MongoDB.pm) perl(Moo.pm) perl(Test/Class.pm) perl(Test/Warn.pm) perl(Try/Tiny.pm) perl(URI/Escape/XS.pm) perl(base.pm)
# END SourceDeps(oneline)
%add_findreq_skiplist /usr/share/perl5/CHI/Driver/MongoDB/t/CHIDriverTests.pm
%def_without test
%define module_name CHI-Driver-MongoDB
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0101
Release: alt1
Summary: MongoDB driver for CHI
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HJ/HJANSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Driver to use the MongoDB manpage as storage back end for the CHI manpage.

the CHI manpage `namespace's are translated to the MongoDB manpage collections, so you 
can use the same database name for all CHI instances (or simply use 
the default and omit the parameter).

The driver supports the `expires_on_backend' option, but be aware that
the expiration actually happens within a short but unspecified time 
frame after the exact expiration timeout (cf. the section on "FAILING TESTS").

By default the MongoDB server is expected to be available on localhost,
port 27017. Pass the `connection_uri' param to override this.
For testing purposes, set the `MONGODB_CONNECTION_URI' environment
variable.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/C*

%changelog
* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.0101-alt1
- initial import by package builder

